Bug 10282 - Panic, msg_channel_trigger: Assertion `num_msgs > 0' failed.
Panic, msg_channel_trigger: Assertion `num_msgs > 0' failed.
Status: RESOLVED DUPLICATE of bug 10284
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Samba QA Contact
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 21:59 UTC by Nick Semenkovich
Modified: 2014-10-13 10:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Semenkovich 2013-11-20 21:59:40 UTC
All Windows 8.1 domain with Samba4 built from the recent git:

commit 2d91577f984bc83c2c87141cfdda87d068060b32
Author: Volker Lendecke <vl@samba.org>
Date:   Thu Nov 14 21:30:49 2013 +0100

    smbd: Fix a talloc hierarchy problem in msg_channel




[2013/11/20 15:41:00.537559,  2] ../source3/smbd/close.c:780(close_normal_file)
  CORP\Administrator closed file mary/Documents/FILE1.xlsx (numopen=58) NT_STATUS_OK
[2013/11/20 15:41:00.538786,  2] ../source3/smbd/open.c:972(open_file)
  CORP\Administrator opened file mary/Documents/FILE2.doc read=Yes write=No (numopen=59)
[2013/11/20 15:41:00.539240,  2] ../source3/smbd/open.c:972(open_file)
  CORP\Administrator opened file mary/Documents/FILE1.xlsx read=Yes write=No (numopen=59)
[2013/11/20 15:41:00.539785,  2] ../source3/smbd/close.c:780(close_normal_file)
  CORP\Administrator closed file mary/Documents/FILE2.doc (numopen=57) NT_STATUS_OK
smbd: ../source3/lib/msg_channel.c:298: msg_channel_trigger: Assertion `num_msgs > 0' failed.
[2013/11/20 15:41:00.540058,  0] ../lib/util/fault.c:72(fault_report)
  ===============================================================
[2013/11/20 15:41:00.540172,  0] ../lib/util/fault.c:73(fault_report)
  INTERNAL ERROR: Signal 6 in pid 12467 (4.2.0pre1-GIT-2d91577)
  Please read the Trouble-Shooting section of the Samba HOWTO
[2013/11/20 15:41:00.540254,  0] ../lib/util/fault.c:75(fault_report)
  ===============================================================
[2013/11/20 15:41:00.540303,  0] ../source3/lib/util.c:785(smb_panic_s3)
  PANIC (pid 12467): internal error
[2013/11/20 15:41:00.541123,  0] ../source3/lib/util.c:896(log_stack_trace)
  BACKTRACE: 24 stack frames:
   #0 /usr/local/samba/lib/libsmbconf.so.0(log_stack_trace+0x1f) [0x7fbf378e7bb7]
   #1 /usr/local/samba/lib/libsmbconf.so.0(smb_panic_s3+0x6f) [0x7fbf378e7a02]
   #2 /usr/local/samba/lib/libsamba-util.so.0(smb_panic+0x28) [0x7fbf3936ec38]
   #3 /usr/local/samba/lib/libsamba-util.so.0(+0x1c910) [0x7fbf3936e910]
   #4 /usr/local/samba/lib/libsamba-util.so.0(+0x1c925) [0x7fbf3936e925]
   #5 /lib/x86_64-linux-gnu/libpthread.so.0(+0xfbb0) [0x7fbf3959dbb0]
   #6 /lib/x86_64-linux-gnu/libc.so.6(gsignal+0x37) [0x7fbf3615df77]
   #7 /lib/x86_64-linux-gnu/libc.so.6(abort+0x148) [0x7fbf361615e8]
   #8 /lib/x86_64-linux-gnu/libc.so.6(+0x2fd43) [0x7fbf36156d43]
   #9 /lib/x86_64-linux-gnu/libc.so.6(+0x2fdf2) [0x7fbf36156df2]
   #10 /usr/local/samba/lib/libsmbconf.so.0(+0x3553e) [0x7fbf378f853e]
   #11 /usr/local/samba/lib/private/libtevent.so.0(tevent_common_loop_immediate+0x1f5) [0x7fbf38b9702c]
   #12 /usr/local/samba/lib/libsmbconf.so.0(run_events_poll+0x56) [0x7fbf3790838e]
   #13 /usr/local/samba/lib/libsmbconf.so.0(+0x45a02) [0x7fbf37908a02]
   #14 /usr/local/samba/lib/private/libtevent.so.0(_tevent_loop_once+0xf4) [0x7fbf38b96173]
   #15 /usr/local/samba/lib/private/libsmbd_base.so(smbd_process+0x127e) [0x7fbf38f050c2]
   #16 /usr/local/samba/sbin/smbd(+0xad51) [0x7fbf399dad51]
   #17 /usr/local/samba/lib/libsmbconf.so.0(run_events_poll+0x54f) [0x7fbf37908887]
   #18 /usr/local/samba/lib/libsmbconf.so.0(+0x45b13) [0x7fbf37908b13]
   #19 /usr/local/samba/lib/private/libtevent.so.0(_tevent_loop_once+0xf4) [0x7fbf38b96173]
   #20 /usr/local/samba/sbin/smbd(+0xb9c9) [0x7fbf399db9c9]
   #21 /usr/local/samba/sbin/smbd(main+0x17a4) [0x7fbf399dd2c1]
   #22 /lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5) [0x7fbf36148de5]
   #23 /usr/local/samba/sbin/smbd(+0x5ac9) [0x7fbf399d5ac9]
[2013/11/20 15:41:00.541662,  0] ../source3/lib/util.c:797(smb_panic_s3)
  smb_panic(): calling panic action [/home/semenko/panic-action 12467]

I have a backtrace, but it's likely not helpful as this was built with -O3. Re-running in debug mode now, but not sure if I'll see this again.
Comment 1 Christian Ambach 2013-11-21 18:35:51 UTC

*** This bug has been marked as a duplicate of bug 10284 ***